commit:     fbbfb65d28b9e7889b4615973cdc886787798561
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sat Apr 24 10:32:34 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat Apr 24 10:32:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fbbfb65d

games-board/rmahjong: fix pass system CC and CFLAGS

Closes: https://bugs.gentoo.org/785019
Closes: https://bugs.gentoo.org/780966

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 games-board/rmahjong/rmahjong-0.4_p20201106.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild 
b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
index a8a3e6da8..c05893d27 100644
--- a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
+++ b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7..9} )
 
-inherit desktop python-single-r1 xdg
+inherit desktop python-single-r1 toolchain-funcs xdg
 
 # Tarball from py3 port branch:
 # https://github.com/spirali/rmahjong/tree/py3
@@ -48,6 +48,10 @@ src_prepare(){
        sed -i "/logging.info/d" "${S}/server/server.py" || die
 
        echo $'#!/bin/sh\ncd '"$(python_get_sitedir)/${PN}"' && ./start.sh' > 
"${S}/rmahjong"
+
+       # pass compiler and CFLAGS to 'Bot' makefile
+       sed -i -e 's:gcc:'"$(tc-getCC)"':g' bot/makefile \
+               -e 's:CFLAGS=-Wall -O3 -march=native:CFLAGS='"${CFLAGS}"':'|| 
die
 }
 
 src_compile() {

Reply via email to